<?php
namespace app\controllers;

class checkout
{
    public static function shipping_billing($defaults)
    {
        echo $GLOBALS['twig']->render('lib/pages/flow.twig', array_merge($defaults, [
            'child_template' => 'checkout/shipping_billing.twig',
            'page_title'     => 'Checkout with ' . $_ENV['APP_NAME'],
        ]));
    }
    public static function review_pay($defaults)
    {
        echo $GLOBALS['twig']->render('lib/pages/flow.twig', array_merge($defaults, [
            'child_template' => 'checkout/review_pay.twig',
            'page_title'     => 'Review & Payment | ' . $_ENV['APP_NAME'],
        ]));
    }
    public static function confirmed($defaults)
    {
        echo $GLOBALS['twig']->render('lib/pages/flow.twig', array_merge($defaults, [
            'child_template' => 'checkout/confirmed.twig',
            'page_title'     => 'Order Recieved! - Thank You',
        ]));
    }
}
